Doomsday Engine - Feature #1865

Align 3D model's head with the target's direction
2014-09-15 08:48 - skyjake

Status: New Start date: 2014-09-15
Priority: Normal % Done: 0%
Assignee:

Category: Enhancement

Target version: Rendering

Description

It would make enemies for believable if they turned their head to look at their target rather than always staring straight ahead. A
skeletal model's head could be turned by Doomsday, given certain assumptions about how the head is oriented in model space.
Requires a model asset definition that tells Doomsday which model bone to modify.

Related issues:

Related to Feature #1246: Support newer model formats and skeletal animation Closed 2013-10-12

History

#1 - 2014-09-15 08:48 - skyjake

- Related to Feature #1246: Support newer model formats and skeletal animation added

#2 - 2019-11-29 21:06 - skyjake

- Target version set to Rendering
